import QtQuick 2.9
import QtQuick.Window 2.2
import QtQuick.XmlListModel 2.0

Rectangle{
    width:Screen.width/2
    height: Screen.height/2

    Column{
        Text{
            text: "Please Enter Your Favorite Movie:"
        }
        Rectangle{
            id:rect1
            width: Screen.width/4
            height: Screen.height/16
            TextInput{
                id:textInput
                anchors.fill: rect1
                text: ""
                font.pointSize: 18
                color: "black"

                onAccepted: {
                    xmlListModel.source = "http://v.juhe.cn/movie/index?title="+text+"&smode=&pagesize=&offset=&dtype=xml&key=55fd53dbee7efa2df6c2c8769b4cc8ce"
                }
            }

        }

        ListView{
            width:Screen.width/2
            height: Screen.height/2
            spacing: 10
            //每个View必须有model和delegate
            //model负责产生数据库,可以是数值如5,list如["Name","Sex","Age"],或listmodel(由多个listelement组成,每个listelement是由
            //一个或多个Key:value 键值对 组成)
            //model: MyModel{id: mod}
            model:xmlListModel
            //delegate负责绘制图形,可以是自定义或基本组件来组合为Item, 通过使用model里的index,modelData以及自定义的listmodel的属性来访问数据的值
            delegate: MyDelegate{id:del}
        }

    }

    XmlListModel{
        id:xmlListModel
       //使用http://v.juhe.cn/提供的API返回XML数据进行处理
        source: "http://v.juhe.cn/movie/index?title=后会无期&smode=&pagesize=&offset=&dtype=xml&key=55fd53dbee7efa2df6c2c8769b4cc8ce"
        query: "/root/result/item"
        XmlRole{
            name:"poster";query: "poster/string()"
        }
        onStatusChanged: {
            if(status === XmlListModel.Loading)
                console.log("loading")
            if(status === XmlListModel.Ready)
                console.log("Loaded "+source)
            if(status === XmlListModel.Error)
                console.log("XML Error "+ errorString())

        }

    }

}
