import QtQuick 2.9
import QtQuick.Window 2.2



//本节使用网络API进行查询网络上的数据库，根据开放数据库的返回结果JSON数据进行显示，即做了一个搜索功能；以下简介一个API的使用说明：
//1 首先打开网站https://www.themoviedb.org/，这是一个电影数据库网站，右上角Sign Up进行注册，然后按以下步骤操作
//2 Click on your avatar or initials in the main navigation
//3 Click the "Settings" link
//4 Click the "API" link in the left sidebar
//5 Click "Create" or "click here" on the API page ，填写你的项目的相关信息
//6 这样会生成一个API key
//7 进入https://developers.themoviedb.org/3/页面，点击左侧的search，点Search movies然后点击右侧的Try it out
//8 在API Key处填写你的API Key，language可以改为zh-CN，query字段填写你要查询的电影名字，例如the lord of the rings
//9 在Send Request按键右边生成了一个链接，可以复制一下留存；然后点击Send Request
//10 下面的Response里的Body>>Pretty的"result"字段里已经出现了多个搜索结果
//source: "https://api.themoviedb.org/3/search/movie?api_key=c70fbba7cd88d925f401688ded21de85&language=zh-CN&query=the%20lord%20of%20the%20rings&page=1&include_adult=false"


Rectangle{
    width:Screen.width/2
    height: Screen.height/2

        ListView{
            width:Screen.width/2
            height: Screen.height/2
            spacing: 10
            //每个View必须有model和delegate
            //model负责产生数据库,可以是数值如5,list如["Name","Sex","Age"],或listmodel(由多个listelement组成,每个listelement是由
            //一个或多个Key:value 键值对 组成)


            //model: MyModel{id: mod}
            model:jsonModel.model

            //delegate负责绘制图形,可以是自定义或基本组件来组合为Item, 通过使用model里的index,modelData以及自定义的listmodel的属性来访问数据的值
            delegate: MyDelegate{id:del}
        }

    JSONListModel{
        id:jsonModel
       //使用juhe.cn提供的API返回JSON数据进行处理
        source: "http://v.juhe.cn/movie/index?title=%E5%90%8E%E4%BC%9A%E6%97%A0%E6%9C%9F&smode=&pagesize=&offset=&dtype=json&key=55fd53dbee7efa2df6c2c8769b4cc8ce"
        query: "$.results[*]"
    }

}
