import QtQuick 2.9
import QtMultimedia 5.9

Rectangle{
    width: 360
    height: 360
    //    color: palette.window

    gradient: Gradient{
        GradientStop{position:0.9;color:Qt.darker(palette.window, 1.8)}
        GradientStop{position:0.1;color:Qt.lighter(palette.window, 1.5)}
    }

    SystemPalette{  //系统调色板
        id: palette
    }


    Rectangle{
        id:bottomBar
        width: parent.width
        height: parent.height/8
        anchors.bottom: parent.bottom
        gradient: Gradient{
            GradientStop{position:0.1;color:Qt.darker(palette.window, 1.5)}
            GradientStop{position:0.9;color:Qt.lighter(palette.window, 1.5)}
        }
    }


    Rectangle{
        id:playRect
        width: parent.width/4
        height: parent.height/8
        color: Qt.darker(palette.button,1.2)
        radius: 20
        border{
            color: Qt.lighter(palette.text,2)
            width: 1
        }
        anchors{
            left:bottomBar.left
            leftMargin: Math.round(bottomBar.width/5)
            bottom: bottomBar.bottom
        }

    }

    Text{
        id: buttonText
        text: "暂停"
        anchors.centerIn: playRect
        color: palette.buttonText       //系统设置的buttonText的颜色
    }
    Audio{
        id:player
        source:"F:/CharleeChan/Music/chayibu.mp3"
        autoLoad: true
        autoPlay: true

    }
    MouseArea{
        id: playMouseArea
        anchors.fill: playRect
        onClicked: {
            //console.log(player.playbackState)
            if(player.playbackState === 1)
            {
                player.pause()
                buttonText.text = qsTr("播放")
            }

            else if(player.playbackState === 2)
            {
                player.play()
                buttonText.text = qsTr("暂停")
            }
            //Qt.quit()
        }
    }



    //seek buttom

    Rectangle{
        id:seekRect
        width: parent.width/4
        height: parent.height/8
        color: Qt.darker(palette.button,1.2)
        radius: 20
        border{
            color: Qt.lighter(palette.text,2)
            width: 1
        }
        anchors{
            right:bottomBar.right
            rightMargin: Math.round(bottomBar.width/5)
            bottom: bottomBar.bottom
        }

    }

    Text{
        id: seekbuttonText
        text: player.position
        anchors.centerIn: seekMouseArea
        color: palette.buttonText       //系统设置的buttonText的颜色
    }
    MouseArea{
        id: seekMouseArea
        anchors.fill: seekRect
        onClicked: {
            //console.log(player.playbackState)
            player.seek(player.position + 100)
            //Qt.quit()
        }
    }
}
