import QtQuick 2.9
import QtQuick.Controls 2.2
import QtQuick.Dialogs 1.2
import QtQuick.Window 2.2

Window {
    visible: true
    width: Screen.width
    height: Screen.height
    title: qsTr("Font Example")

    Column{
        anchors.fill: parent
        spacing: 20
        Button{
            id:button
            width: parent.width
            text: "open dialog"
            onClicked: {
                fontDialog.open()
            }
        }
        Text {
            id: t
            width: parent.width
            text: qsTr("Hello Font Dialog")
            horizontalAlignment: Text.AlignHCenter
        }

    }

    FontDialog{
        id: fontDialog
        title: "Font Dialog"
        width: parent.width


        modality: Qt.ApplicationModal
        onAccepted: {
            t.font.bold = fontDialog.font.bold
            t.font.weight = fontDialog.font.weight
            t.font.family = fontDialog.font
            t.font.pixelSize = fontDialog.font.pixelSize

        }
        onRejected: {
            this.close()
            button.text = "Just Closed"
        }

    }
}
