import QtQuick 2.0

Item {
    id: button
    //A button is consisted of a Rectangle, a Text and a MouseArea

    //width and height property has no need to write down appearently.

    //Rectangle property
    property string backColor
    property string borderColor
    property int borderWidth
    property int radius

    //Text property
    property string text
    property string textColor
    property int fontSize

    //MouseArea property
    property bool hoverEnabled:false
    //onEntered
    property string enteredColor
    property double enteredScale
    property string enteredBorderColor

    //onExited
    property string exitedColor
    property double exitedScale
    property string exitedBorderColor

    //signals
    signal buttonClicked


    Rectangle {
        id: rect
        width: button.width
        height: button.height
        color: button.backColor
        border.color: button.borderColor
        border.width: button.borderWidth
        radius: button.radius
        //signal on CLicked
    }

    Text {
        id: text
        anchors.centerIn: rect
        horizontalAlignment: Text.AlignHCenter
        text: qsTr(button.text)
        color: button.textColor
        font.pixelSize: button.fontSize
    }

    MouseArea {
        id: mouseArea
        anchors.fill: rect
        hoverEnabled: button.hoverEnabled

        onEntered: {
            rect.scale = button.enteredScale
            rect.color = button.enteredColor
            rect.border.color = button.enteredBorderColor
        }
        onExited: {
            rect.scale = button.exitedScale
            rect.color = button.exitedColor
            rect.border.color = button.exitedBorderColor
        }
        onClicked: {
            //emit clicked signal
            //Qt.quit()
            console.log("I'm the signal, I have emit the signal");
            buttonClicked();
        }

    }

}
