﻿import QtQuick 2.9
import QtQuick.Window 2.3

Item{
    id: root
    width: Screen.width
    height: Screen.height-20
    //设置焦点以捕捉
    focus: true
    //按键处理函数
    Keys.onPressed: {
        if(event.key === Qt.Key_Up){
            event.accepted = true;
            player.y = player.y -60;
        }
        if(event.key === Qt.Key_Down){
            event.accepted = true;
            player.y = player.y +60;
        }
        if(event.key === Qt.Key_Left){
            event.accepted = true;
            player.x = player.x -60;
        }
        if(event.key === Qt.Key_Right){
            event.accepted = true;
            player.x = player.x +60;
        }


    }

    Flickable{
        width: Screen.width
        height: Screen.height
        contentHeight: Screen.height*4
        contentWidth: Screen.width

        interactive: true
        boundsBehavior: Flickable.StopAtBounds

        //contentY是指当前显示的内容的位置相对于Flickable区域左上角的Y offset值
        //当小人移动到屏幕的1/2位置后，继续下移,则contentY开始从0增加,contentY = palyer.y-height/2
        //最大是contentHeight-height
        contentY: Math.min(contentHeight-height, Math.max(0,player.y-height/2))

        Image{
            id:field
            anchors.fill: parent
            source: "Artworks/1.jpg"
            sourceSize.height: Screen.height*4
            sourceSize.width: Screen.width

        }

        AnimatedImage {
            id: player
            source: "Artworks/2.gif"
            x:Screen.width/2
            y:Screen.height/2
        }
//        Image {
//            id: player
//            source: "Artworks/2.gif"
//            sourceSize.width: Screen.width/10
//            sourceSize.height: Screen.height/10
//            x:Screen.width/2
//            y:Screen.height/2
//        }

    }

}
